[问题]按源码方式安装的软件怎么卸载?

为当前最终发行版之前的所有版本提供支持
回复
justrainie
帖子: 26
注册时间: 2008-06-16 16:50
送出感谢: 0
接收感谢: 0

[问题]按源码方式安装的软件怎么卸载?

#1

帖子 justrainie » 2008-07-07 16:02

之前从mplayer主页下了源码包,编译安装后,又从新立得里头安装了smplayer,现在系统里有两个mplayer...
源码安装的在/usr/local/bin下,后面一次装在/usr/bin下。

我该怎么彻底的卸载第一次安装的mplayer呢?
如果手动删除,除了删除bin文件和配置文件,还有呢?
或者给个知识链接也行,我找不到。。。
头像
HuntXu
论坛版主
帖子: 5776
注册时间: 2007-09-29 3:09
送出感谢: 0
接收感谢: 6 次

#2

帖子 HuntXu » 2008-07-07 17:33

configure后make uninstall...

注意configure的参数要和原来的一样...
HUNT Unfortunately No Talent...
justrainie
帖子: 26
注册时间: 2008-06-16 16:50
送出感谢: 0
接收感谢: 0

#3

帖子 justrainie » 2008-07-07 20:39

又学了一招,多谢哈
头像
luojie-dune
帖子: 22033
注册时间: 2007-07-30 18:28
系统: Linux
来自: 空气中
送出感谢: 9 次
接收感谢: 61 次

#4

帖子 luojie-dune » 2008-07-07 21:13

有时候删不掉,很惨。。。。
『这个世界都是我的 ,我爱你们』

ENTP ⥂ INTP ⥄ INFP ⇦ INTJ

在此发布的文章使用 Creative Commons Attribution-ShareAlike 4.0 协议
头像
jarryson
帖子: 4002
注册时间: 2005-08-14 19:53
送出感谢: 1 次
接收感谢: 2 次
联系:

#5

帖子 jarryson » 2008-07-07 21:15

所以安装不要绕过包管理器。搜索如何打包deb。这样就可以通过包管理器来安装和卸载了

arch,gentoo这样的工作比较方便一点
头像
zjnx
帖子: 64
注册时间: 2006-04-03 11:27
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 zjnx » 2008-07-08 12:40

对于安装压缩的包。。。在安装configure的时候建议指定一个自己指定的目录,如果今后想删除。直接删除这个目录就OK了
delectate
帖子: 18311
注册时间: 2008-01-09 22:41
送出感谢: 0
接收感谢: 6 次

#7

帖子 delectate » 2008-07-08 13:26

deb貌似可以新利得删

自己编译的可以运行unistall

bin暂时不了解

6F的方法故伎是看了很多网站这么说的

但是我个人感觉还是uninstall比较好

因为/home下还有可能有.***的隐藏文件,你根本没有注意过呢!
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#8

帖子 eexpress » 2008-07-08 13:35

后代
成熟了。
● 鸣学
totopper
帖子: 6
注册时间: 2010-09-11 16:26
系统: win8.1
送出感谢: 0
接收感谢: 0
联系:

Re: [问题]按源码方式安装的软件怎么卸载?

#9

帖子 totopper » 2014-04-08 17:27

的确可以用,但是有些配置文件需要手动删除?
[url]http://jd170.net,关注虚拟运营商,关注170号码[/url]
头像
zhw2101024
帖子: 1849
注册时间: 2009-03-28 16:10
系统: Arch debian win7
送出感谢: 9 次
接收感谢: 70 次
联系:

Re:

#10

帖子 zhw2101024 » 2014-04-09 1:09

delectate 写了:deb貌似可以新利得删

自己编译的可以运行unistall

bin暂时不了解

6F的方法故伎是看了很多网站这么说的

但是我个人感觉还是uninstall比较好

因为/home下还有可能有.***的隐藏文件,你根本没有注意过呢!
编译过不少都是没有

代码: 全选

make uninstall
也没有

代码: 全选

make remove
的,弄得很难受
回复

回到 “老旧版本支持”